# class Updater

This class act as an absract one

### Attributes

repo_directory[R]

### Public Class Methods

new(repo_directory = nil) click to toggle source

TODO : add a last ‘/ to #repo_directory if it’s not present

    # File lib/common/updater/updater.rb, line 8
    def initialize(repo_directory = nil)
      @repo_directory = repo_directory
    end

### Public Instance Methods

is_installed?() click to toggle source

    # File lib/common/updater/updater.rb, line 12
    def is_installed?
      raise NotImplementedError
    end

local_revision_number() click to toggle source

    # File lib/common/updater/updater.rb, line 16
    def local_revision_number
      raise NotImplementedError
    end

update() click to toggle source

    # File lib/common/updater/updater.rb, line 20
    def update
      raise NotImplementedError
    end